# eric6.Network.IRC.IrcServerEditDialog

Module implementing a dialog for editing the IRC server configuration.

### Global Attributes

None

### Classes

IrcServerEditDialog | Class implementing a dialog for editing the IRC server configuration.

### Functions

None

## IrcServerEditDialog

Class implementing a dialog for editing the IRC server configuration.

### Derived from

QDialog, Ui_IrcServerEditDialog

### Class Attributes

None

### Class Methods

None

### Methods

IrcServerEditDialog | Constructor
__updateOkButton | Private method to update the OK button state.
getServer | Public method to create a server object from the data entered into the dialog.
on_serverEdit_textChanged | Private slot handling changes of the server name.

### Static Methods

None

#### IrcServerEditDialog (Constructor)

IrcServerEditDialog(server, parent=None)

Constructor

server
  reference to the IRC server object (IrcServer)
parent
  reference to the parent widget (QWidget)

#### IrcServerEditDialog.__updateOkButton

__updateOkButton()

Private method to update the OK button state.

#### IrcServerEditDialog.getServer

getServer()

Public method to create a server object from the data entered into the dialog.

Returns:
  server object (IrcServer)

#### IrcServerEditDialog.on_serverEdit_textChanged

on_serverEdit_textChanged(name)

Private slot handling changes of the server name.

name
  current name of the server (string)

Up